Package com.google.android.exoplayer2.testutil

## Class FakeDataSet.FakeData.Segment

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeDataSet.FakeData.Segment

- Enclosing class:
    FakeDataSet.FakeData

      public static final class FakeDataSet.FakeData.Segment
      extends Object

  A segment of `FakeDataSet.FakeData`. May consist of an action or exception instead of actual data.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Runnable` | `action` |
    `long` | `byteOffset` |
    `int` | `bytesRead` |
    `byte[]` | `data` |
    `IOException` | `exception` |
    `boolean` | `exceptionCleared` |
    `boolean` | `exceptionThrown` |
    `int` | `length` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isActionSegment()` |
    `boolean` | `isErrorSegment()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### exception

          @Nullable
          public final IOException exception

    - #### data

          @Nullable
          public final byte[] data

    - #### length

          public final int length

    - #### byteOffset

          public final long byteOffset

    - #### action

          @Nullable
          public final Runnable action

    - #### exceptionThrown

          public boolean exceptionThrown

    - #### exceptionCleared

          public boolean exceptionCleared

    - #### bytesRead

          public int bytesRead

  - ### Method Detail

    - #### isErrorSegment

          public boolean isErrorSegment()

    - #### isActionSegment

          public boolean isActionSegment()